Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cz.vutbr.feec.utko.fojtoval.krypto.sifry
Class JednoduchaTranspozice

    java.lang.Object
      cz.vutbr.feec.utko.fojtoval.krypto.sifry.Sifra
          cz.vutbr.feec.utko.fojtoval.krypto.sifry.JednoduchaTranspozice

    public class JednoduchaTranspozice

extends Sifra

Sifrovani a desifrovani pomoci transpozicni sifry.

Constructor Summary
`JednoduchaTranspozice()`

Method Summary
`java.lang.String` | `abecedaLusToString()` Prevod desifrovaci abecedy na String.
`java.lang.String` | `abecedaSifToString()` Prevod sifrovaci abecedy na String.
`java.lang.String` | `lusti(java.lang.String zdroj)` Desifrovani jednoduche transpozice.
`void` | `setParametr(java.lang.Object parametr)` Nastaveni a kontrola parametru sifry.
`java.lang.String` | `sifruj(java.lang.String zdroj)` Sifrovani pomoci jednoduche transpozice.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JednoduchaTranspozice

    public JednoduchaTranspozice()

Method Detail

### sifruj

    public java.lang.String sifruj(java.lang.String zdroj)

  Sifrovani pomoci jednoduche transpozice.

  Specified by:
    `sifruj` in class `Sifra`
  Parameters:
    `zdroj` - otevreny text
  Returns:
    sifrovany text

### setParametr

    public void setParametr(java.lang.Object parametr)

  Nastaveni a kontrola parametru sifry.

  Specified by:
    `setParametr` in class `Sifra`
  Parameters:
    `parametr` -

### lusti

    public java.lang.String lusti(java.lang.String zdroj)

  Desifrovani jednoduche transpozice.

  Specified by:
    `lusti` in class `Sifra`
  Parameters:
    `zdroj` - zasifrovany text
  Returns:
    otevreny text

### abecedaLusToString

    public java.lang.String abecedaLusToString()

  Prevod desifrovaci abecedy na String.

  Specified by:
    `abecedaLusToString` in class `Sifra`
  Returns:
    nova abeceda

### abecedaSifToString

    public java.lang.String abecedaSifToString()

  Prevod sifrovaci abecedy na String.

  Specified by:
    `abecedaSifToString` in class `Sifra`
  Returns:
    nova abeceda

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD